Account Binding process should be done before payment can be made and processed. Merchant will send account binding request from customer to DOKU. The request includes customer's phone number that is registered to customer's OVO account.
Each OVO account can only be bind to one customer on one merchant. Customer needs to do verification for account binding process by inputting OTP and PIN.
After customer has bind/linked their OVO account, customer can check their account balance infirmation using Balance Inquiry. Merchant will send balance inquiry request from customer to DOKU.
Merchant can also use balance inquiry API to check if customer has sufficient balance before invoking payment process.
After customer's account is bind/linked and customer has enough balance for payment, merchant can send payment request from customer to DOKU.
Payment - OVO Open API
In OVO Open API, every payment needs to be verified by customer with inputting OTP and/or PIN. In order to do that, merchant needs to bring parameter paymentType : "SALE"in payment request body.
And as the response, merchant will receive parameter webRedirectUrl to redirect the customer to merchant's page/platform to complete the payment by inputting OTP and/or PIN. After the payment is completed, merchant then will receive the notification.
Payment - Recurring
In OVO Recurring, the payment process will be scheduled. Hence, verification using OTP and/or PIN is not required in every payment. Customers only need to do the verification during account binding process and it will give merchant the authorization to run scheduled payment. In order to do that, merchant needs to bring parameter paymentType : "RECURRING"in payment request body.
And as the response, merchant will not receive parameter webRedirectUrl to redirect the customer to merchant's page/platform to complete the payment. Payment request will be directly processed by acquirer and merchant will receive the notification.
Numeric String. Reference number that should be unique in the same day (request-id)
Example: 418075533589
AuthorizationstringRequired
Access Token obtained from Get B2B Token API
Example: 95221
Body
originalPartnerReferenceNostringRequired
Partner Reference No Purchase Transaction | max: 32 | Mandatory
Example: INV-0001
originalExternalIdstringOptional
External ID Purchase Transaction | max: 36 |
Example: REQ-0001
reasonstringOptional
Reason from customer | max: 255
Example: Request by Customer
partnerRefundNostringRequired
Partner Refund No| max: 64 | Mandatory
Example: INV-REF-0001
Responses
200
Successful
application/json
post
/direct-debit/core/v1/debit/refund
200
Successful
Account Unbinding
If a registered customer no longer wants their account/card to be bind/linked and wish to remove themself from DOKU's and merchant’s system, merchant can send account unbinding request that is initiated by customer.